Bug 426750 - Review Request: ghc-utf8-string - Support reading and writing UTF8 Strings
Review Request: ghc-utf8-string - Support reading and writing UTF8 Strings
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 426754 xmobar
  Show dependency treegraph
 
Reported: 2007-12-25 15:12 EST by Yaakov Nemoy
Modified: 2014-01-02 03:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 503250 (view as bug list)
Environment:
Last Closed: 2009-06-17 23:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
ghc-utf8-string.spec-1.patch (1.69 KB, patch)
2009-06-11 21:43 EDT, Jens Petersen
no flags Details | Diff
ghc-utf8-string.spec-2.patch (1.50 KB, patch)
2009-06-13 03:01 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Yaakov Nemoy 2007-12-25 15:12:27 EST
Spec URL: http://fedorapeople.org/~ynemoy/xmonad/utf8-string.spec
SRPM URL: http://fedorapeople.org/~ynemoy/xmonad/ghc681-utf8-string-0.2-1.fc8.src.rpm
Description: A UTF8 layer for IO and Strings. The utf8-string
package provides operations for encoding UTF8
strings to Word8 lists and back, and for reading and
writing UTF8 without truncation.

This library is needed for xmonad-contrib, for which a review request is to follow.
Comment 1 Jens Petersen 2008-02-12 22:08:34 EST
Name of the spec and srpm must coincide.

Comment 2 Jason Tibbitts 2008-12-02 18:33:31 EST
I guess a new package is needed now that we have functional guidelines.  The above links seem to be broken in any case.
Comment 3 Till Maas 2008-12-10 11:43:49 EST
I set NEEDINFO to indicate, that this package is not ready for review, yet. Please provide working links to Spec and SRPM.
Comment 4 Jens Petersen 2008-12-11 20:45:33 EST
I think this one is less urgent, but I can provide an updated package later.

https://bugzilla.redhat.com/showdependencytree.cgi?id=426754&hide_resolved=1
Comment 5 Jason Tibbitts 2008-12-21 15:52:03 EST
Please clear the whiteboard when this is ready for a review.
Comment 6 Jens Petersen 2009-05-18 21:38:35 EDT
ping?
Comment 7 Zach Oglesby 2009-05-29 17:58:38 EDT
Here is my spec and srpm



http://zoglesby.fedorapeople.org/ghc-utf8-string-0.3.4-1.fc11.src.rpm
http://zoglesby.fedorapeople.org/ghc-utf8-string.spec

This is my first time trying to package so let me know if anything needs fixed.
Comment 8 Jens Petersen 2009-06-02 08:50:44 EDT
Sorry Zach, but could you update to cabal2spec-0.16 which is now in f11-updates?
Comment 10 Jens Petersen 2009-06-11 06:08:31 EDT
cabal2spec-diff output looks good

Zach there should only be one %changelog with all the changelog entries

ghc-utf8-string.src: W: more-than-one-%changelog-section
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

You can look at some other active spec files for examples if you're unsure about the format.

You probably need a fedora packager sponsor?
Comment 11 Zach Oglesby 2009-06-11 11:16:48 EDT
Spec files have been fixed. I do need a sponsor as well.
Comment 12 Jens Petersen 2009-06-11 19:45:02 EDT
Thanks: convention is to have a newline between changelog entries.

Also there is a newer version on hackage:
http://hackage.haskell.org/cgi-bin/hackage-scripts/package/utf8-string

Also please update the srpm too when updating the spec file. :)

There are a few rpmlint warnings from the binary packages:

ghc-utf8-string-doc.x86_64: E: description-line-too-long This package contains development documentation files for the ghc-utf8-string library.
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

Would be good to fix.

ghc-utf8-string-prof.x86_64: E: devel-dependency ghc-utf8-string-devel
ghc-utf8-string-prof.x86_64: W: no-documentation
ghc-utf8-string-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.10.3/utf8-string-0.3.5/libHSutf8-string-0.3.5_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Normal and can be waived.
Comment 13 Jens Petersen 2009-06-11 20:08:28 EDT
I think it is not a blocker but I note that the following src files are missing license info/headers:

System/Environment/UTF8.hs
Data/ByteString/UTF8.hs
Data/ByteString/Lazy/UTF8.hs
Data/String/UTF8.hs
Codec/Binary/UTF8/Generic.hs

It would be good to point this out to the maintainer
so that they can hopefully add headers to those files.
Comment 15 Jens Petersen 2009-06-11 21:41:56 EDT
I sent a mail to the maintainer asking to add license info to the above files.
Comment 16 Jens Petersen 2009-06-11 21:43:20 EDT
Created attachment 347505 [details]
ghc-utf8-string.spec-1.patch

Basically likes fine to me now.

I suggest this little patch to describe the package more.
Comment 17 Jens Petersen 2009-06-11 21:47:25 EDT
Zach, please apply for the packager group in FAS and I will sponsor you
upon successful completion of this review. :)
Comment 19 Jens Petersen 2009-06-11 23:01:04 EDT
I think you can also change it when you come to import to cvs, but I would suggest simply:

Summary: Haskell UTF8 layer for IO and Strings
Comment 20 Jens Petersen 2009-06-13 03:01:41 EDT
Created attachment 347715 [details]
ghc-utf8-string.spec-2.patch

ghc-utf8-string.src: W: summary-ended-with-dot Haskell utf8-string library. A UTF8 layer for IO and Strings.
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 21 Jens Petersen 2009-06-13 03:42:31 EDT
Here is the review:

 +:ok, !:needs attention, NA: not applicable

MUST Items:
[!] MUST: rpmlint output

fixed by above patch

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines

Author responded he would add more license headers in his next release.

[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

d5198209bd81ea4f8af7692e2467336c  utf8-string-0.3.5.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1409756


Package is APPROVED by Jens Petersen
Comment 22 Jens Petersen 2009-06-13 03:47:23 EDT
Please just fix the rpmlint warning for the summary and tidy up
the descriptions (as covered by the last patch) before importing
to cvs. :)

Please include me and haskell-sig in the InitialCC field of
the CVS Admin Request, which is the next step.
https://fedoraproject.org/wiki/CVS_admin_requests

Thanks for the review.
Comment 23 Zach Oglesby 2009-06-16 17:16:09 EDT
New Package CVS Request
=======================
Package Name: ghc-utf8-string
Short Description: Support reading and writing UTF8 Strings
Owners: zoglesby
Branches: F-11
InitialCC: haskell-sig petersen
Comment 24 Jason Tibbitts 2009-06-17 12:38:24 EDT
CVS done.
Comment 25 Jens Petersen 2010-01-14 23:20:09 EST
Note: seems this was added just as we moved from ghc-6.10.2 to 6.10.3
which actually ships utf8-string - I am going to mark this as a dead
package in cvs.
Comment 26 Jens Petersen 2010-10-03 22:16:42 EDT
Package Change Request
======================
Package Name: ghc-utf8-string
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 27 Kevin Fenzi 2010-10-04 15:02:02 EDT
Git done (by process-git-requests).
Comment 28 Jens Petersen 2013-12-27 08:37:37 EST
Package Change Request
======================
Package Name: ghc-utf8-string
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 29 Jens Petersen 2014-01-02 00:51:02 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.